org.keycloak.authorization.model

## Interface PermissionTicket

- All Known Implementing Classes:
    PermissionTicketAdapter, PermissionTicketAdapter

      public interface PermissionTicket

  Author:
    Pedro Igor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `GRANTED`
    `static String` | `ID`
    `static String` | `OWNER`
    `static String` | `POLICY`
    `static String` | `POLICY_IS_NOT_NULL`
    `static String` | `REQUESTER`
    `static String` | `REQUESTER_IS_NULL`
    `static String` | `RESOURCE`
    `static String` | `RESOURCE_NAME`
    `static String` | `SCOPE`
    `static String` | `SCOPE_IS_NULL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `getCreatedTimestamp()`
    `Long` | `getGrantedTimestamp()`
    `String` | `getId()` Returns the unique identifier for this instance.
    `String` | `getOwner()` Returns the resource's owner, which is usually an identifier that uniquely identifies the resource's owner.
    `Policy` | `getPolicy()`
    `String` | `getRequester()`
    `Resource` | `getResource()` Returns the `Resource` associated with this instance
    `ResourceServer` | `getResourceServer()` Returns the `ResourceServer` where this policy belongs to.
    `Scope` | `getScope()` Returns the `Scope` associated with this instance
    `boolean` | `isGranted()`
    `void` | `setGrantedTimestamp(Long millis)`
    `void` | `setPolicy(Policy policy)`

- - ### Field Detail

    - #### ID

          static final String ID

      See Also:
        Constant Field Values

    - #### RESOURCE

          static final String RESOURCE

      See Also:
        Constant Field Values

    - #### RESOURCE_NAME

          static final String RESOURCE_NAME

      See Also:
        Constant Field Values

    - #### SCOPE

          static final String SCOPE

      See Also:
        Constant Field Values

    - #### SCOPE_IS_NULL

          static final String SCOPE_IS_NULL

      See Also:
        Constant Field Values

    - #### OWNER

          static final String OWNER

      See Also:
        Constant Field Values

    - #### GRANTED

          static final String GRANTED

      See Also:
        Constant Field Values

    - #### REQUESTER

          static final String REQUESTER

      See Also:
        Constant Field Values

    - #### REQUESTER_IS_NULL

          static final String REQUESTER_IS_NULL

      See Also:
        Constant Field Values

    - #### POLICY_IS_NOT_NULL

          static final String POLICY_IS_NOT_NULL

      See Also:
        Constant Field Values

    - #### POLICY

          static final String POLICY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getId

          String getId()

      Returns the unique identifier for this instance.
      Returns:
        the unique identifier for this instance

    - #### getOwner

          String getOwner()

      Returns the resource's owner, which is usually an identifier that uniquely identifies the resource's owner.
      Returns:
        the owner of this resource

    - #### getRequester

          String getRequester()

    - #### getResource

          Resource getResource()

      Returns the `Resource` associated with this instance
      Returns:
        the `Resource` associated with this instance

    - #### getScope

          Scope getScope()

      Returns the `Scope` associated with this instance
      Returns:
        the `Scope` associated with this instance

    - #### isGranted

          boolean isGranted()

    - #### getCreatedTimestamp

          Long getCreatedTimestamp()

    - #### getGrantedTimestamp

          Long getGrantedTimestamp()

    - #### setGrantedTimestamp

          void setGrantedTimestamp(Long millis)

    - #### getResourceServer

          ResourceServer getResourceServer()

      Returns the `ResourceServer` where this policy belongs to.
      Returns:
        a resource server

    - #### getPolicy

          Policy getPolicy()

    - #### setPolicy

          void setPolicy(Policy policy)

Copyright © 2020 JBoss by Red Hat. All rights reserved.